.TH "pyspottedunipd.fb.models.FacebookBot" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.fb.models.FacebookBot \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBtoken\fP)"
.br
.ti -1c
.RI "def \fBget_latest_posts_of_page\fP (self, page_id, number_to_fetch)"
.br
.ti -1c
.RI "def \fBdownload_page_posts\fP (self, page_id, min_number_to_fetch, output_file)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBtoken\fP"
.br
.ti -1c
.RI "\fBapi\fP"
.br
.ti -1c
.RI "\fBgraph\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
A bot that scrapes Facebook with a authentication token 
.fi
.PP
 
.PP
Definition at line 97 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookBot\&.__init__ ( self,  token)"

.PP
.nf
:param token: str
    Token to use Facebook API

.fi
.PP
 
.PP
Definition at line 100 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookBot\&.download_page_posts ( self,  page_id,  min_number_to_fetch,  output_file)"

.PP
.nf
:param page_id: str
    ID of page to scrape
:param min_number_to_fetch: int
    Minimum number of posts to fetch
:param output_file: str
    Path to output file to write data
:return: void
    Saves .csv file with posts data

.fi
.PP
 
.PP
Definition at line 149 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookBot\&.get_latest_posts_of_page ( self,  page_id,  number_to_fetch)"

.PP
.nf
:param page_id: str
    ID of page to scrape
:param number_to_fetch: int
    Minimum number of posts to fetch
:return: [] of str in json format
    Each dict is a raw post (straight out of the API)

.fi
.PP
 
.PP
Definition at line 111 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.fb\&.models\&.FacebookBot\&.api"

.PP
Definition at line 108 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookBot\&.graph"

.PP
Definition at line 109 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookBot\&.token"

.PP
Definition at line 107 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
